#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1
Name: kdegraphics-mobipocket
Summary: A collection of plugins to handle mobipocket files
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}

Conflicts: kdegraphics4-core < 2:4.6.90
Obsoletes: mobipocket < 2:4.8.0
Provides:  mobipocket = %{epoch}:%{version}-%{release}

# Branch Patches (100-200)

%description
A collection of plugins to handle mobipocket files.

%files
%_kde_libdir/kde4/mobithumbnail.so
%_kde_libdir/strigi/strigila_mobi.so
%_kde_services/mobithumbnail.desktop

#------------------------------------------------------------------------------

%define qmobipocket_major 1
%define libqmobipocket %mklibname qmobipocket %{qmobipocket_major}

%package -n %libqmobipocket
Summary: Runtime library for qmobipocket
Group: System/Libraries


%description -n %libqmobipocket
Runtime library for qmobipocket

%files -n %libqmobipocket
%_kde_libdir/libqmobipocket.so.%{qmobipocket_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel
Requires: %libqmobipocket = %epoch:%version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_includedir/qmobipocket
%_kde_libdir/cmake/QMobipocket/QMobipocketConfig.cmake
%_kde_libdir/libqmobipocket.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 2:4.12.5-1.mga4
+ Revision: 641281
- Update to KDE SC 4.12.5
  remove BuildRequires okular-devel
  fix file list

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554971
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551240
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540073
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490731
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476824
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465175
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458885
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455275
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447933
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435296
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428401
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407219
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401864
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394390
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339468
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334551
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326753
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320310
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316190
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301961
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289762
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277037
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269669
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 266109
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257246
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228498
- new version 4.8.2

* Fri Mar 09 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221930
- New version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198292
- Update tarball to KDE 4.8.0
- Rename package
- Rename package to match upstream change

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191073
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186145
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182186
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176541
- Update tarball to KDE SC 4.7.4
- Add okular-devel as BuildRequires
- Fix files list

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161411
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151985
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140675
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122509
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Mon Jun 27 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 114950
- imported package mobipocket

